LotusGraphInternal::SubDocument Class Reference documentation

Public Member Functions | Public Attributes | List of all members
LotusGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a LotusGraphc. More...

Inheritance diagram for LotusGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (std::shared_ptr< WPSStream > const &stream, LotusGraph &graphParser, WPSEntry &entry, int version)
| constructor for a text entry
| ~SubDocument () final
| destructor
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
std::shared_ptr< WPSStream > | m_stream
| the stream
LotusGraph & | m_graphParser
| the graph parser
WPSEntry | m_entry
| a flag to known if we need to send the entry or the footer
int | m_version
| the textbox version

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a LotusGraphc.

## Constructor & Destructor Documentation

## ◆ SubDocument()

LotusGraphInternal::SubDocument::SubDocument | ( | std::shared_ptr< WPSStream > const & | stream,
|  | LotusGraph & | graphParser,
|  | WPSEntry & | entry,
|  | int | version )
| inline

constructor for a text entry

Referenced by operator==().

## ◆ ~SubDocument()

LotusGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator==()

bool LotusGraphInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void LotusGraphInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| finalvirtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_entry

WPSEntry LotusGraphInternal::SubDocument::m_entry

a flag to known if we need to send the entry or the footer

Referenced by operator==(), parse(), and SubDocument().

## ◆ m_graphParser

LotusGraph& LotusGraphInternal::SubDocument::m_graphParser

the graph parser

Referenced by operator==(), parse(), and SubDocument().

## ◆ m_stream

std::shared_ptr<WPSStream> LotusGraphInternal::SubDocument::m_stream

the stream

Referenced by operator==(), parse(), and SubDocument().

## ◆ m_version

int LotusGraphInternal::SubDocument::m_version

the textbox version

Referenced by operator==(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- LotusGraph.cpp